Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgParticle::AngularAccelOperator Class Reference

An operator class that applies a constant angular acceleration to the particles. More...

Inheritance diagram for osgParticle::AngularAccelOperator:

[legend]
List of all members.

## Public Member Functions
| AngularAccelOperator ()
| AngularAccelOperator (const AngularAccelOperator &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgParticle, AngularAccelOperator)
const osg::Vec3 & | getAngularAcceleration () const
| Get the angular acceleration vector.
void | setAngularAcceleration (const osg::Vec3 &v)
| Set the angular acceleration vector.
void | operate (Particle *P, double dt)
| Apply the angular acceleration to a particle. Do not call this method manually.
void | beginOperate (Program *prg)
| Perform some initializations. Do not call this method manually.
## Protected Member Functions
virtual | ~AngularAccelOperator ()
AngularAccelOperator & | operator= (const AngularAccelOperator &)

## Detailed Description

An operator class that applies a constant angular acceleration to the particles.

## Constructor & Destructor Documentation

osgParticle::AngularAccelOperator::AngularAccelOperator | ( |  | ) | `[inline]`

osgParticle::AngularAccelOperator::AngularAccelOperator | ( | const AngularAccelOperator & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) | `[inline]`

virtual osgParticle::AngularAccelOperator::~AngularAccelOperator | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

void osgParticle::AngularAccelOperator::beginOperate | ( | Program * | prg | ) | `[inline, virtual]`

| Perform some initializations. Do not call this method manually. Reimplemented from osgParticle::Operator.

const osg::Vec3 & osgParticle::AngularAccelOperator::getAngularAcceleration | ( |  | ) | const`[inline]`

| Get the angular acceleration vector.

osgParticle::AngularAccelOperator::META_Object | ( | osgParticle | ,
|  | AngularAccelOperator |
| ) |

void osgParticle::AngularAccelOperator::operate | ( | Particle * | P,
|  | double | dt
| ) | `[inline, virtual]`

| Apply the angular acceleration to a particle. Do not call this method manually. Implements osgParticle::Operator.

AngularAccelOperator& osgParticle::AngularAccelOperator::operator= | ( | const AngularAccelOperator & |  | ) | `[inline, protected]`

void osgParticle::AngularAccelOperator::setAngularAcceleration | ( | const osg::Vec3 & | v | ) | `[inline]`

| Set the angular acceleration vector.

The documentation for this class was generated from the following file:

- AngularAccelOperator